Page MenuHomePhabricator

[OpenMP][host runtime] Introduce kmp_cpuinfo_flags_t to replace integer flags
ClosedPublic

Authored by jlpeyton on Sep 20 2021, 11:38 AM.

Details

Summary

Store CPUID support flags as bits instead of using entire integers.

Diff Detail

Event Timeline

jlpeyton created this revision.Sep 20 2021, 11:38 AM
jlpeyton requested review of this revision.Sep 20 2021, 11:38 AM
Nawrin accepted this revision.Sep 30 2021, 9:16 AM

LGTM

This revision is now accepted and ready to land.Sep 30 2021, 9:16 AM
This revision was landed with ongoing or failed builds.Oct 1 2021, 9:09 AM
This revision was automatically updated to reflect the committed changes.